[jaunty] ktorrent changes in Debian require merging

Bug #296433 reported by Jonathan Thomas on 2008-11-10
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ktorrent (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: ktorrent

I am going to merge the ktorrent 3.2 snapshot from Debian experimental with our current package for Jaunty, debdiffs to follow soon.

After many months of work, the first beta for the 3.2 release is out. This is major release adding 3 new plugins, a plasma applet and some major improvements. Amongst the many improvements are :

    * Kross based scripting plugin
    * Syndication plugin supporting RSS and Atom feeds
    * Plugin to control the file download order of a multifile torrent
    * Redesign of chunk memory management, resulting in a significant decrease in memory usage
    * Plasma applet to monitor torrents on your desktop
    * Performance improvements when handling torrents with a lot of files
    * And many smaller features ...

Changes in 3.2beta1 :
- Ask to create directory in fileselectdlg, if it does not exist (163965)
- Added scripting plugin
- Use paths to indicate where a group should go in the GroupView tree
- Expand dbus interface significantly (154483)
- Added feature to disable PEX globally
- Make sure that DHT and PEX checkboxes in view menu are disabled if the feature is disabled globally
- Added plasma applet and dataengine
- Make custom IP to sent to tracker configurable again (166314)
- Add column in QM to show the order of a torrent in the queue
- IP filter revamped, and auto update added (155648)
- Improve performance iby removing unnecessary dataChanged signals
- Improved networking code, which should lead to more stable download speeds
- Fix bug causing closed connections not to be detected
- Make it possible to rename files and folders in fileselectdlg (152813 and 134098)
- Deleting data files is now done in a background job
- Added patch from Adam Forsyth which keeps track of wether we are interested in a peer or not (167938)
- Added patch from Adam Forsyth with some modifications, which allows you to rename torrents in the main torrent list.(168459 and 157544)
- Revamped webinterface
- Patch from Adam Forsyth which adds a second kfiledialog:// keyword openTorrentData (168693)
- Added modified patch from Adam Forsyth showing the directory percentages in the file tree (168062)
- Added patch from Adam Forsyth, which kills stalled peers (168397)
- Plugins with a separate logging id, now need to register and unregister their id with LogSystemManager
- Revamped settings page of logviewer plugin now using a QTreeView and the new LogSystemManager
- Take only seed chunks into account for file percentages (168062)
- Make sure IP filter auto update timer doesn't fire again when auto update is in progress
- Fix bug causing logging output not to be colored properly
- Handle HTTP redirects properly when webseeding (165740)
- Added download order plugin
- Added patch from Aaron Seigo which adds drag and drop support to plasma applet (will only work on KDE 4.2)
- Fix crash at exit in UPnPRouter (170073)
- Make sure order queue cannot be called when all torrents are being stopped
- Revamped chunk memory management completely, reducing memory usage considerably
- Fix crash in ChunkDownload::updateHash
- Remove warmup mode
- Show warning icon in status column when there is something wrong with the tracker, also show tooltip with error message from tracker
- Added patch which adds collapse all and expand all actions to the fileselection dialog and the fileview
- Added category P2P as seen in other p2p applications (e.g. transmission)
- Search plugin is now based upon Opensearch XML descriptions
- Make sure that stuff at exit is done only once
- Make sure cancels get sent when a PeerDownloader is released, so that the wait queue does not fill up
- Don't show all columns when a new upload or download view is created (171770)
- Fix bug causing all columns to be hidden when new views are created which show both uploads and downloads
- Added syndication plugin to handle RSS and Atom torrent feeds
- Added e-mail notification script
- Added script to resume paused torrents after a configurable amount of time (158386)
- Some GUI fixups (tooltips being more uniform, more tooltips, window titles for a lot of dialogs ...)
- By default now use multiple tiers when creating a torrent with multiple torrents (174207)
- Optimize handling of torrents with a lot of files
- Keep track of URL torrent was loaded from and add action to copy it to clipboard (169540 and 173085)
- Optimize chunk position calculation significantly
- Added shortcuts for a lot of actions
- Get rid of duplicate actions (174860)
- Make sure check data and queue actions are enabled when remove is enabled (174869)
- Add script to create automatic tracker based groups script (174871)

Related branches

Jonathan Thomas (echidnaman) wrote :

There has been a short delay, since ktorrent 3.2 required KDE 4.2. Will continue work on this after KDE 4.2 beta1 has been uploaded to Jaunty

Artur Rona (ari-tczew) wrote :

When do you want do this?

Daniel T Chen (crimsun) on 2008-12-28
Changed in ktorrent:
importance: Undecided → Wishlist
status: New → In Progress
Artur Rona (ari-tczew) wrote :

Well, we have released stable KDE 4.2. Can you upgrade ktorrent to version 3.2b1?

Artur Rona (ari-tczew) on 2009-01-28
description: updated
Jonathan Thomas (echidnaman) wrote :

Yeah, sorry about that...

Jonathan Thomas (echidnaman) wrote :

New version. The old one had some mistakes

Changed in ktorrent:
milestone: none → jaunty-alpha-5
Jonathan Thomas (echidnaman) wrote :

Debian's got 3.2 final in new, so I updated the merge to that.

Jonathan Thomas (echidnaman) wrote :
Jonathan Thomas (echidnaman) wrote :
Jonathan Thomas (echidnaman) wrote :
Launchpad Janitor (janitor) wrote :
Download full text (3.2 KiB)

This bug was fixed in the package ktorrent - 3.2+dfsg.1-2ubuntu1

---------------
ktorrent (3.2+dfsg.1-2ubuntu1) jaunty; urgency=low

  * Merge with Debian, remaining changes: (LP: #296433)
    - Use Kubuntu's kde4.mk
    - Build-depend on libboost-serialization1.35-dev since unversioned -dev is
      in universe
    - Change plasma-applet-ktorrent to plasma-widget-ktorrent since we're
      supposed to call them widgets for the users

ktorrent (3.2+dfsg.1-2) experimental; urgency=low

  * Rename plasma-applet-ktorrent to plasma-widget-ktorrent, add
    conflicts/replaces with plasma-applet-ktorrent.
  * Change debian sections:
    - source package, ktorrent, ktorrent-data: net
    - plasma-widget-ktorrent: kde
    - ktorrent-dbg: devel
  * Bump kdebase-workspace-dev build depend to 4:4.2.0.
  * Drop libstreamanalyzer-dev build depend, not needed.

ktorrent (3.2+dfsg.1-1) experimental; urgency=low

  * New upstream release (3.2).
  * Remove 02_appear_as_kde3.2rc1.diff, no longer relevant.
  * Fix issues with debian/watch (lintian warning etc.).

ktorrent (3.2~rc1+svn923353-1) experimental; urgency=low

  * New upstream development snapshot:
    - revision 923353 on 2009-02-08 18:32:38 +0200;
    - translations from 3.2 RC1 tarball;
  * Another attempt to fix "stalled torrents until client restart" problem.
  * Keep disguising as 3.2 RC1 to the rest of the torrent world.

ktorrent (3.2~rc1+svn919439-1) experimental; urgency=low

  * New upstream development snapshot based on the new development release
    (3.2 RC1):
    - includes changes from ktorrent trunk up to r919439 which include
      the fix for annoying "torrent is stalled all the time until client
      restart bug";
    - includes translations from official 3.2 RC1 release tarball;
    - no longer crashes when removing a torrent (Closes: #511451);
  * Bump build depends on KDE 4.2:
    - remove libplasma-dev build depend, rebuild against libplasma3;
    - add build depend on libphonon-dev 4:4.3.0;
    - bump build depends on strigi to 0.6.3.
  * Add 02_appear_as_kde3.2rc1.diff patch to make this snapshot appear as
    3.2 RC1 to the trackers.
  * Disable 01_libbtcore_scramble_soname.diff patch. Pointless.
  * Small update to debian/debhelper/kde4.mk (sync with
    plasma-applet-networkmanager).
  * Install zeroconf plugin.

ktorrent (3.2~beta1+svn902175-1) experimental; urgency=low

  * New upstream development snapshot:
    - Revision 902175 by scripty.
    - Date: 2008-12-27 18:21:46 +0200.
    - Translations as of Sun, 28 Dec 2008 12:00:25 +0200 are included.
  * Do not suggest php5-cli. No longer needed.
  * Update install files.
  * Improve descriptions.
  * Update debian/not-installed.
  * Split off ktorrent plasma applet to plasma-applet-ktorrent package:
    - this "moves" kdebase-workspace-libs4+5 and libplasma dependencies to
      plasma-applet-ktorrent package;
    - make ktorrent package suggest plasma-applet-ktorrent;
    - plasma-applet-ktorrent replaces earlier ktorrent package.
  * Split off architecture independent files to ktorrent-data package.
  * Add debian/installgen file.
  * Update debian/copyright.
  * Update lintian overrides.
  * Add debian/watch file.

...

Read more...

Changed in ktorrent:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers